package rabbit.cache;

// $Id: CacheStatus.java,v 1.3 2001/07/05 21:13:51 robo Exp $

import java.io.*;
import java.util.*;
import java.util.zip.*;

import rabbit.http.*;
import rabbit.util.*;

/** A utility program to inspect the cache..
 */
public class CacheStatus 
{
    /* Constructor 
     */
    public CacheStatus () {
    }

    /** Run the cache inspector..
     * @param args The first element should be the cache directory to inspect.
     */
    public static void main (String[] args) {
	if (args.length < 1) {
	    System.err.println ("Must give cache directory...");
	    System.exit (-1);
	}
	NCache cache = new NCache (args[0]);
	Enumeration e = cache.getEntries ();
	while (e.hasMoreElements ()) {
	    NCacheEntry ne = (NCacheEntry)e.nextElement ();
	    HTTPHeader header = (HTTPHeader)ne.getKey ();
	    HTTPHeader webheader = (HTTPHeader)ne.getDataHook ();
	    System.err.println ("ENTRY: " + ne.getFileName ());
	    System.err.println (header.toString ());
	    System.err.println ("webheader");
	    System.err.println (webheader.toString ());
	    System.err.println ("================================================================");
	}
    }
}
