package rabbit.proxy;

// $Id: CacheStream.java,v 1.1.1.1 1999/12/18 18:49:32 robo Exp $

import java.io.*;

import rabbit.cache.*;

/** This class reads data from a cachefile.
 */
public class CacheStream extends FileInputStream 
{
    /** Create a new CacheStream from the given NCacheEntry
     * @param entry the NCacheEntry to read data from.
     * @throws FileNotFoundException if the cachefile is not found.
     */
    public CacheStream (NCacheEntry entry) throws FileNotFoundException {
	super (entry.getFileName ());
    }    
}
