package rabbit.util;

// $Id: RestartableThreadFactory.java,v 1.2 2000/12/27 19:10:07 robo Exp $

/** An interface that describes a restartable thread factory.
 *  ThreadPool will use factories to create the thread as they are
 *  needed.
 */
public interface RestartableThreadFactory {
    public RestartableThread createThread ();
}
