package rabbit.html;

// $Id: HTMLParseException.java,v 1.1.1.1 1999/12/18 18:49:32 robo Exp $

/** This exception indicates an error in the parsing of an HTML block.
 */
public class HTMLParseException extends Exception {
   
    /** Create a new HTMLParseException with the given string.
     * @param s the reason for the exception.
     */
    public HTMLParseException (String s) {
	super (s);
    }
    
    /** Create a new HTMLParseException with the given Throwable.
     * @param t the reason for the exception.
     */
    public HTMLParseException (Throwable t) {
	super (t.toString ());
    }
}
