package rabbit.io;

// $Id: CopyThread.java,v 1.2 2001/07/05 21:14:27 robo Exp $

import java.io.*;

/** A class that performs a background copy from one stream to another
 */
public class CopyThread extends Thread {
    InputStream in = null;
    OutputStream out = null;    

    public CopyThread (InputStream in, OutputStream out) {
	this.in = in;
	this.out = out;
	start ();
    }
    
    public void run () {
	int read;
	byte[] buf = new byte[1024];
	try {
	    while ((read = in.read(buf)) > 0) {
		out.write (buf, 0, read);
		out.flush ();
	    }
	} catch (IOException e) {
	    e.printStackTrace ();
	}
    }
}
